import tkinter as tk
import os
from tkinter import Tk, Label, Button, filedialog, messagebox, Canvas, Frame
from tkinter import *

path = 'C:\\Users\\User10\\Desktop\\Create Folder'
class DriveUpload:
    def __init__(self, master):
        self.master = master
        self.sourcePath = ''
        self.filename = ''

        label1 = Label(self.master, text="LogoApp", font="Times 28", bg="white")
        label1.grid(row=0, column=0)

        button1 = Button(self.master, text="Choose File", command=self.ChooseFile)
        button1.grid(row=15, column=0, columnspan=2)

        label3 = Label(self.master, text="File Chosen", bg="white")
        label3.grid(row=15, column=25)

        self.label4 = Label(self.master, bg="white")
        self.label4.grid(row=16, column=11, columnspan=10)#, columnspan=3
        self.label4['text'] = ''

        button2 = Button(self.master, text="Upload", width=0, height=1, command=self.UploadFile)
        button2.grid(row=50, columnspan=10)



    def ChooseFile(self):
        self.sourcePath = filedialog.askopenfilename()
        self.filename = self.sourcePath[self.sourcePath.rfind('/') + 1:]
        self.label4['text'] = self.filename

    def UploadFile(self):
        if self.label1['text'] == 'Not Authenticated!':
            messagebox.showerror("Error", "Please Authenticate Credentials First!")
            return
        try:
            path = self.CreateFile({'title': self.filename})
            file_drive.SetContentFile(self.sourcePath)
            file_drive.Upload()
            messagebox.showinfo("Confirmation", "File Uploaded!")
        except:
            messagebox.showerror("Error", "File Upload Error!")

class Createfile:
    def __init__(self, master):
        self.master = master
        self.sourcePath = ''
        self.filename = ''

        button1 = Button(self.master, text="Create a new file", command=self.createfile)
        button1.grid(row=18, column=0, columnspan=2)


    def createfile(self):
        os.chdir(path)
        dirName = 'New Folder123'

        try:
            os.mkdir(dirName)
            print("Directory " , dirName , " Created ")
        except FileExistsError:
            print("Directory " , dirName , "already exists")

def main():
    root = Tk()

    root.title("Upload file - Application")
    root.geometry("480x380")
    root.configure(bg="white")

    my_canvas = Canvas(root,width=200, height=5, background="black")
    my_canvas.grid(row=10, column=0)
    #my_canvas.create_line(0, 10, 390, 10, fill="black", width=5)

    DriveUpload(root)
    Createfile(root)

    root.mainloop()

if __name__ == "__main__":
    main()
